@font-face { font-family: Poppins-L; src: url('../fonts/Poppins-Light.ttf'); }
@font-face { font-family: Poppins-R; src: url('../fonts/Poppins-Regular.ttf'); }
@font-face {font-family: Mallanna-R; src: url('../fonts/Mallanna-Regular.ttf');}
@font-face {font-family: Poppins-EL; src: url('../fonts/Poppins-ExtraLight.ttf');}

/* General Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Poppins-R;
    line-height: 1.6;
}

/* Banner Section */
.banner {
    position: relative;
    width: 100%;
    height: 600px;
    background: url('../img/banner_red.jpeg') no-repeat center center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
}

.banner-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
}

.banner-container {
    max-width: 1400px;
    width: 100%;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: left;
}

.banner-container h1 {
    color: white;
    font-size: 3rem;
    text-transform: uppercase;
    font-weight: bold;
    text-align: left;
    margin-bottom: 20px;
}

.banner-container p {
    color: white;
    font-size: 1.5rem;
    text-align: left;
    max-width: 800px;
    margin-bottom: 20px;
}

.banner-container button {
    background-color: transparent;
    border-radius: 5px;
    border: 1px solid white;
    width: 130px;
    height: 50px;
    transition: 0.6s;
    color: white;
    font-size: 1.1rem;
    cursor: pointer;
}

.banner-container button:hover {
    border: 1px solid rgb(180, 180, 180);
    color: rgb(180, 180, 180);
}

/*About-us Section*/
.about-us {
    position: relative;
    width: 100%;
    background-color: #f7f9fb;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.about-us-container {
    margin-top: 40px;
    max-width: 1400px;
    width: 100%;
    padding: 0 80px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 100px;
}

.about-us-info {
    height: 100%;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.about-us-photo {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-us-photo img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}

.about-us-info h1 {
    font-size: 2rem;
    font-weight: bold;
    text-align: left;
    margin-bottom: 20px;
}

.about-us-info p {
    font-size: 1rem;
    text-align: left;
    margin-bottom: 20px;
}

.about-us-info button {
    background-color: transparent;
    border-radius: 5px;
    border: 1px solid #ee1d23;
    width: 170px;
    height: 50px;
    transition: 0.6s;
    color: #ee1d23;
    font-size: 1.1rem;
    cursor: pointer;
}

.about-us-info button:hover {
    box-shadow: 5px 5px rgba(0, 0, 0, 0.2);
}

/*Services Section*/
.services {
    position: relative;
    width: 100%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.services-container {
    margin-top: 40px;
    max-width: 1400px;
    width: 100%;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: left;
}

.services-heading {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.services-heading h1 {
    font-size: 1.1rem;
    font-family: Poppins-EL;
    text-transform: uppercase;
    text-decoration: overline;
    text-decoration-color: #ee1d23;
    letter-spacing: 1px;
}

.services-heading button {
    background-color: transparent;
    border: 1px solid #ee1d23;
    color: #ee1d23;
    font-size: 1rem;
    cursor: pointer;
    text-transform: uppercase;
    font-family: Poppins-EL;
    padding: 0px 5px;
}

.services-heading button:hover {
    text-decoration: underline;
    text-underline-offset: 2px;
}

.services-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
    padding: 50px 20px;
    transition: all 0.5s ease-in-out;
}

.services-grid-element {
    display: flex;
    flex-direction: column;
    background-color: #f7f9fb;
    transition: transform 0.5s ease-in-out;
    
}

.services-grid-element:hover {
    transform: scale(1.1);
    z-index: 10;
}

.services-grid-element-image {
    height: 200px;
    width: 100%;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
}

#service-1 {
    background-image: url('../img/International\ Payments.jpg');
}
#service-2{
    background-image: url('../img/Cargo\ Consolidation.jpg');
}
#service-3 {
    background-image: url('../img/Registration\ in\ the\ Sender\'s\ Country.jpg');
}
#service-4 {
    background-image: url('../img/Rail\ and\ Sea\ Transportation.jpg');
}
#service-5 {
    background-image: url('../img/Foreign\ Purchases\ of\ any\ Complexity.jpg');
}
#service-6 {
    background-image: url('../img/Multimodal\ Transportation.jpg');
}
#service-7 {
    background-image: url('../img/Selection\ of\ customs\ codes.jpg');
}
#service-8 {
    background-image: url('../img/Cargo\ insurance.jpg');
}
#service-9 {
    background-image: url('../img/Commercial\ representation\ service.jpg');
}

.services-grid-element-info {
    padding: 20px;
    text-align: left;
}

.services-grid-element-info h1 {
    font-size: 2rem;
    font-family: Poppins-EL;
    margin-bottom: 10px;
    color: #ee1d23;
}

.services-grid-element-info p {
    font-size: 1rem;
    color: black;
}

.services-grid-element-info h1:hover {
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
    cursor: pointer;

}

.adv-grid {
    margin-left: 20px;
}

.adv-grid-element-border {
    padding: 10px;
    flex: 6;
}

.adv-grid-element-icon {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.adv-grid-element-border h1 {
    font-size: 1.5rem;
    font-family: Poppins-EL;
    margin-bottom: 10px;
    color: #ee1d23;
}

.adv-grid-element-icon img {
    max-width: 80px;
    margin: 5px;
}

.adv-grid-element {
    display: flex;
    flex-direction: row;
    margin-top: 30px;
    border-left: 4px solid #ee1d23;
    background-color: #f7f9fb;
}

.phrase {
    position: relative;
    width: 100%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.phrase-container {
    max-width: 1400px;
    width: 100%;
    margin: 0 80px;
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: left;
    border-left: 4px solid #ee1d23;
}

.phrase-container-border {
    margin: 10px 0 10px 10px;
}

.phrase-container-border h1 {
    font-size: 1.5rem;
    font-family: Poppins-EL;
    color: #ee1d23;
}

@media (max-width: 800px) {
    .banner-container {
        padding: 0 10px;
    }
    
    .services-container {
        padding: 0 10px;
    }

    .about-us-container {
        padding: 0 10px;
        flex-direction: column;
        gap: 20px;
    }

    .banner-container h1 {
        font-size: 2rem;
    }
    .banner-container p {
        font-size: 1rem;
    }

    .about-us-photo iframe {
        height: 300px;
    }
}